Package it.ernytech.tdlib

## Class TdApi.BotCommand

- java.lang.Object
- - it.ernytech.tdlib.TdApi.Object
  - - it.ernytech.tdlib.TdApi.BotCommand

Enclosing class:
  TdApi

    public static class TdApi.BotCommand
    extends TdApi.Object

Represents commands supported by a bot.

### Field Summary

Fields
`java.lang.String` `command` Text of the bot command.
`static int` `CONSTRUCTOR` Identifier uniquely determining type of the object.
`java.lang.String` `description` Description of the bot command.

### Constructor Summary

Constructors
`BotCommand()` Default constructor.
`BotCommand​(java.lang.String command, java.lang.String description)` Constructor for initialization of all fields.

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getConstructor()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from class it.ernytech.tdlib.TdApi.Object

`toString`

### Field Detail

#### command

    public java.lang.String command

Text of the bot command.

#### description

    public java.lang.String description

Description of the bot command.

#### CONSTRUCTOR

    public static final int CONSTRUCTOR

Identifier uniquely determining type of the object.

See Also:
  Constant Field Values

### Constructor Detail

#### BotCommand

    public BotCommand()

Default constructor.

#### BotCommand

    public BotCommand​(java.lang.String command,
                      java.lang.String description)

Constructor for initialization of all fields.

Parameters:
  `command` - Text of the bot command.
  `description` - Description of the bot command.

### Method Detail

#### getConstructor

    public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR